Subject: [dispatch] Call Transfer Call Flows and examples using INVITE/Re-INVITE

From: Bernard Aboba <[email-masked]>
Date: Sat, 12 Feb 2011 13:32:36 -0800

SIPconnect 1.1 has recently completed, and is expected to be published soon.
The last draft (v27) is available here:

http://www.sipforum.org/component/option,com_docman/task,cat_view/gid,84/Ite
mid,75/

During the development of the document, it was decided that Section 12 on
call transfer would focus on use of INVITE/Re-INVITE.  

In looking for RFCs providing call-flows for INVITE/Re-INVITE call transfer,
there did not appear to be a completely suitable reference, so SIPconnect
1.1 includes its own examples.  While RFC 5589 covers call transfer the
examples focus on REFER, and RFC 3725 covers 3rd party call control, but
doesn't cover all the call transfer cases. 

Am I missing something, or is there a hole here that needs filling?

---

From: Paul Kyzivat <[email-masked]>
Date: Sat, 12 Feb 2011 18:05:52 -0500

On 2/12/2011 4:32 PM, Bernard Aboba wrote:
> SIPconnect 1.1 has recently completed, and is expected to be published
> soon. The last draft (v27) is available here:
>
> http://www.sipforum.org/component/option,com_docman/task,cat_view/gid,84/Itemid,75/
>
> During the development of the document, it was decided that Section 12
> on call transfer would focus on use of INVITE/Re-INVITE.
>
> In looking for RFCs providing call-flows for INVITE/Re-INVITE call
> transfer, there did not appear to be a completely suitable reference, so
> SIPconnect 1.1 includes its own examples. While RFC 5589 covers call
> transfer the examples focus on REFER, and RFC 3725 covers 3rd party call
> control, but doesn't cover all the call transfer cases.
>

Are you suggesting there is a case of transfer using invite/reinvite 
that is *not* a 3pcc situation?

Or are you just saying that these are 3pcc cases, but aren't covered by 
3725?

	Thanks,
	Paul

---

From: "Worley, Dale R (Dale)" <[email-masked]>
Date: Mon, 14 Feb 2011 16:43:09 -0500

________________________________________
From: [email-masked] [[email-masked]] On Behalf Of Bernard Aboba [[email-masked]]

SIPconnect 1.1 has recently completed, and is expected to be published soon.  The last draft (v27) is available here:
http://www.sipforum.org/component/option,com_docman/task,cat_view/gid,84/Itemid,75/

During the development of the document, it was decided that Section 12 on call transfer would focus on use of INVITE/Re-INVITE.

In looking for RFCs providing call-flows for INVITE/Re-INVITE call transfer, there did not appear to be a completely suitable reference, so SIPconnect 1.1 includes its own examples.  While RFC 5589 covers call transfer the examples focus on REFER, and RFC 3725 covers 3rd party call control, but doesn't cover all the call transfer cases.

Am I missing something, or is there a hole here that needs filling?
________________________________________

There was once a mathematics paper that was reviewed "This paper fills a much-needed hole in the literature..."

Given that the IETF thinks that REFER is the correct way to implement transfers, why would the IETF examples of *avoiding* using REFER to implement transfers?

Dale

---

From: Gonzalo Camarillo <[email-masked]>
Date: Thu, 24 Feb 2011 14:14:20 +0200

Hi,

> Or are you just saying that these are 3pcc cases, but aren't covered by 

maybe this is about changing the target of the dialog without changing
the route set, which is what re-INVITEs can do? Is this what you had in
mind, Bernard?

Cheers,

Gonzalo

---

From: Bernard Aboba <[email-masked]>
Date: Thu, 24 Feb 2011 19:43:44 -0800

The call transfer cases described in SIPconnect 1.1 Section 12 can be found here:
http://www.sipforum.org/component/option,com_docman/task,doc_download/gid,474/Itemid,75/

and yes, they do involve changing the target of a dialog without changing the route set.   In terms
of the RFC 3725 alternatives, they most resemble flow IV (Section 4.4). 

> Date: Thu, 24 Feb 2011 14:14:20 +0200
> From: [email-masked]
> To: [email-masked]
> CC: [email-masked]; [email-masked]
> Subject: Re: [dispatch] Call Transfer Call Flows and examples	using	INVITE/Re-INVITE
> 
> Hi,
>

---

From: "Elwell, John" <[email-masked]>
Date: Fri, 25 Feb 2011 09:16:18 +0100

It also has some relationship to the things described in section 7 of RFC 3725, which specifically mentions transfer and shows an example flow (based on flow 4). Transfer is triggered by a BYE in this case, but the triggering method is outside the scope of SIPconnect 1.1 but could, for example, be a REFER.

John

> -----Original Message-----
> From: [email-masked] 
> [mailto:[email-masked]] On Behalf Of Bernard Aboba
> Sent: 25 February 2011 03:44
> To: [email-masked]
> Cc: [email-masked]

---

From: Paul Kyzivat <[email-masked]>
Date: Fri, 25 Feb 2011 09:42:52 -0500

> http://www.sipforum.org/component/option,com_docman/task,doc_download/gid,474/Itemid,75/

OK, I took a look at that doc. But what I *see* isn't really a call 
transfer flow at all. Its a subset of some call flow that involved an 
offerless INVITE and a reINVITE, that is asserted is part of a transfer 
call flow.

To see that its actually a transfer call flow, one would have to see the 
rest of it. Somehow the sip-pbx needs to know that it wants to do this. 
That will involve some sort of signaling by the party initiating the 
transfer. If that is SIP, it will probably involve a REFER.

I don't have any problem with the flows shown in section 12, but they 
are just basic sip usage.

	Thanks,
	Paul

> _______________________________________________
> dispatch mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/dispatch